Bug 983243 - Remove packages orphaned by the upgrade
Remove packages orphaned by the upgrade
Status: CLOSED EOL
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
2.2.0
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks: 909636 917241
  Show dependency treegraph
 
Reported: 2013-07-10 15:23 EDT by Brenton Leanhardt
Modified: 2017-03-08 13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-13 17:34:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of removed packages (3.10 KB, text/plain)
2013-07-16 12:06 EDT, Tomas Hoger
no flags Details

  None (edit)
Description Brenton Leanhardt 2013-07-10 15:23:59 EDT
Description of problem:
The SRT reached out to me and mentioned that they would like us to remove packages that were shipped prior to 1.2 that are orphaned by the upgrade.  rubygem-rails-3.0.13-1.el6op.noarch is one example but I'm certain there are others.
Comment 2 Luke Meyer 2013-07-10 17:39:46 EDT
Meaning provide scripts to remove them from the customers' systems?

Well, add v1 cartridges...

I got started on scripts for cleaning up a number of things after the upgrade, would be happy to provide if I don't work this bug.
Comment 3 John W. Lamb 2013-07-11 10:04:24 EDT
Can this be done in a specfile? Will look into this.
Comment 4 Brenton Leanhardt 2013-07-11 11:24:13 EDT
I think the logic needs to live in ose-upgrade somewhere.  We don't want a given ose-upgrade step to be interactive but we should only remove packages that are no longer supported in our channels.
Comment 6 Tomas Hoger 2013-07-16 12:06:59 EDT
Created attachment 774401 [details]
List of removed packages

Attaches is a list of binary packages that exist in 1.0/1.1 OSE channels, but not in 1.2 channels.  Separate list for each OSE channel (infrastructure, node, client, jbosseap).  This has not been pruned to remove any that are obsoleted properly (if any).
Comment 8 Brenton Leanhardt 2013-07-17 11:19:07 EDT
rubygem-crack and ruby193-rubygem-crack were shipped in 1.1 but not in 1.2.  They can safely be removed if no other packages on a user's system requires them.
Comment 9 Brenton Leanhardt 2014-04-24 10:21:41 EDT
Moving this to the next major release as a reminder.
Comment 10 Rory Thrasher 2017-01-13 17:34:45 EST
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/

Note You need to log in before you can comment on or make changes to this bug.